Upstream information

CVE-2017-7586 at MITRE

Description

In libsndfile before 1.0.28, an error in the "header_read()" function (common.c) when handling ID3 tags can be exploited to cause a stack-based buffer overflow via a specially crafted FLAC file.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.30 6.82
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None Partial
Integrity Impact None Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 7.3
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Local Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact None Low
Integrity Impact None Low
Availability Impact High Low

This issue is currently rated as having important severity.

SUSE Bugzilla entry: 1033053 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • libsndfile >= 1.0.25-28.1
  • libsndfile1 >= 1.0.25-28.1
  • libsndfile1-32bit >= 1.0.25-28.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2017-607
SUSE Linux Enterprise Desktop 12 SP2
  • libsndfile >= 1.0.25-28.1
  • libsndfile1 >= 1.0.25-28.1
  • libsndfile1-32bit >= 1.0.25-28.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP2-2017-607
SUSE Linux Enterprise Server 12 SP1
  • libsndfile >= 1.0.25-28.1
  • libsndfile1 >= 1.0.25-28.1
  • libsndfile1-32bit >= 1.0.25-28.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2017-607
SUSE Linux Enterprise Server 12 SP2
  • libsndfile >= 1.0.25-28.1
  • libsndfile1 >= 1.0.25-28.1
  • libsndfile1-32bit >= 1.0.25-28.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2017-607
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libsndfile >= 1.0.25-28.1
  • libsndfile1 >= 1.0.25-28.1
Patchnames:
SUSE-SLE-RPI-12-SP2-2017-607
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libsndfile >= 1.0.25-28.1
  • libsndfile-devel >= 1.0.25-28.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-607
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libsndfile >= 1.0.25-28.1
  • libsndfile-devel >= 1.0.25-28.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-607
openSUSE Leap 42.1
  • libsndfile >= 1.0.25-27.1
  • libsndfile-debugsource >= 1.0.25-27.1
  • libsndfile-devel >= 1.0.25-27.1
  • libsndfile-progs >= 1.0.25-27.1
  • libsndfile-progs-debuginfo >= 1.0.25-27.1
  • libsndfile-progs-debugsource >= 1.0.25-27.1
  • libsndfile1 >= 1.0.25-27.1
  • libsndfile1-32bit >= 1.0.25-27.1
  • libsndfile1-debuginfo >= 1.0.25-27.1
  • libsndfile1-debuginfo-32bit >= 1.0.25-27.1
Patchnames:
openSUSE-2017-514
openSUSE Leap 42.2
  • libsndfile >= 1.0.25-26.3.1
  • libsndfile-debugsource >= 1.0.25-26.3.1
  • libsndfile-devel >= 1.0.25-26.3.1
  • libsndfile-progs >= 1.0.25-26.3.1
  • libsndfile-progs-debuginfo >= 1.0.25-26.3.1
  • libsndfile-progs-debugsource >= 1.0.25-26.3.1
  • libsndfile1 >= 1.0.25-26.3.1
  • libsndfile1-32bit >= 1.0.25-26.3.1
  • libsndfile1-debuginfo >= 1.0.25-26.3.1
  • libsndfile1-debuginfo-32bit >= 1.0.25-26.3.1
Patchnames:
openSUSE-2017-514